Subject: Re: Tkinter
From: Cédric Frayssinet <[email-masked]>
To: [email-masked], "[email-masked]" <[email-masked]>, Buyle-Bodin Nicolas-Francoi <[email-masked]>, Busac Pascal <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Fri, 27 Jan 2017 14:25:05 +0100

Merci Olivier pour ce mini-projet. J'ai prévu de faire cela lundi si on 
a assez de temps (Nicolas, je vais le mettre en forme en HTML).

J'ai donc réalisé moi-même ce mini-projet que j'ai réussi, ouf l'honneur 
est sauf :)

Je vous joins mon programme, il est fonctionnel et je me demandais s'il 
y avait pas moyen de faire mieux concernant la fonction tracer_cercle() 
qui recherche, avec les coordonnées de la souris, le bon chiffre sur le 
Canevas.

Je mets le programme Python dans ce même sous-dossier et je le joins 
également à ce courriel.

Bon week-end,

Cédric

Le 05/11/2016 à 10:07, Olivier Touraille (Lycée Jean Puy-Roanne) a écrit :
> Bonjour,
> Vous trouverez dans la dropbox/interfaces graphiques/OT-tkinter les 
> fichiers pour introduire ce module en ICN-ISN en deux séances de 2h.
> L'idée de ces activités est de permettre aux élèves de s'approprier ce 
> module à partir d'un jeu (Tkinter-jeu.py) dont ils vont analyser le 
> programme fourni (ISN-Tkinter-TDprogramme-jeu.odt) et d'une série de 
> modifications qu'ils vont apporter (ISN-Tkinter-TDprof.odt et 
> ISN-Tkinter-TDelv.odt).
>
> La 2nde séance porte sur l'utilisation de la souris avec une copie 
> d'écran à compléter avec des coordonnées pour repérer le rôle des 
> différentes données (ISN-Tkinter-event.odt) puis avec une nouvelle 
> série de modifications à apporter (ISN-Tkinter-TD2.odt) au programme 
> précédemment obtenu (ce qui donne le nouveau jeu Tkinter-jeu2.py).
>
> A l'issue de ces deux séances, un mini-projet est proposé 
> (ISN-Tkinter-mini-projet.odt)
>
> Pour l'avoir testé à plusieurs reprises avec un public lambda, ces 
> activités sont une bonne initiation.
> Olivier T.
>
>

-- 
Cédric Frayssinet
<http://www.ac-lyon.fr/>
<http://martiniere-diderot.elycee.rhonealpes.fr/>
Cédric Frayssinet
Enseignant de S2i - *L*ycée *M*artinière *D*iderot
Formateur DANE

Rectorat
*D*élégation *A*cadémique au *N*umérique *É*ducatif
92 rue de Marseille - BP 7227 - 69007 Lyon cedex 07
Tél : 04 72 80 66 05
------------------------------------------------------------------------
Locaux : 47 rue Philippe de Lassalle - 69004 Lyon
http://dane.ac-lyon.fr/